Name: portmap
Version: 6.0
Release: alt1
Serial: 1

Summary: RPC port mapper
License: BSD
Group: System/Servers
Url: http://neil.brown.name/portmap/
Packager: Dmitry V. Levin <ldv@altlinux.org>

# http://neil.brown.name/portmap/portmap-6.0.tgz
Source: portmap-%version-%release.tar

BuildRequires: libwrap-devel

%description
Portmap is a server that converts RPC (Remote Procedure Call) program
numbers into DARPA protocol port numbers.  It must be running in order
to make RPC calls.

Services that use RPC include NFS and NIS.

%prep
%setup -q -n %name-%version-%release

%build
export CFLAGS='%optflags'
%make_build FACILITY=LOG_AUTHPRIV RPCUSER=rpc

%install
%make_install install DESTDIR=%buildroot

install -pDm755 portmap.init \
	%buildroot%_initdir/portmap
install -pDm600 portmap.sysconfig \
	%buildroot%_sysconfdir/sysconfig/portmap
install -pDm755 portmap.control \
	%buildroot%_controldir/portmap

%pre
%pre_control portmap

%post
/usr/sbin/groupadd -r -f rpc
/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -n rpc >/dev/null 2>&1 ||:
%post_control -s local portmap
%post_service portmap

%preun
%preun_service portmap

%files
/sbin/*
%_mandir/man?/*
%config %_initdir/portmap
%_controldir/portmap
%config(noreplace) %_sysconfdir/sysconfig/portmap
%doc copyright CHANGES README* BLURB*

%changelog
* Thu Apr 03 2008 Dmitry V. Levin <ldv@altlinux.org> 1:6.0-alt1
- Updated to 6.0.
- Chroot into /var/empty by default.

* Wed Apr 02 2008 Dmitry V. Levin <ldv@altlinux.org> 1:4.0-alt3
- Added control(8) support for portmap (Michael Shigorin, #15154).

* Thu Dec 21 2006 Dmitry V. Levin <ldv@altlinux.org> 1:4.0-alt2
- Added /etc/sysconfig/portmap.

* Thu Dec 21 2006 Dmitry V. Levin <ldv@altlinux.org> 1:4.0-alt1
- Added "-l" option to restrict binding to loopback address (FC).
- Disabled portmap service by default, use
  "chkconfig portmap on" to enable.
- Built with -fpie -pie.

* Thu Feb 12 2004 Dmitry V. Levin <ldv@altlinux.org> 4.0-ipl17mdk
- Replace "extern int errno" with "include <errno.h>" (rh).
- Use glibc versions of daemon and strerror functions.
- Fixed startup script (#3663).

* Thu Oct 23 2003 Stanislav Ievlev <inger@altlinux.ru> 4.0-ipl16mdk
- new initscripts

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 4.0-ipl15mdk
- updated man-pages from RH
- rebuild with new libwrap

* Fri May 25 2001 Dmitry V. Levin <ldv@altlinux.ru> 4.0-ipl14mdk
- Merged recent RH patches.

* Thu May 24 2001 Stanislav Ievlev <inger@altlinux.ru> 4.0-ipl13mdk
- Rebuild for use new macros post_service and preun_service

* Tue Jan 23 2001 Dmitry V. Levin <ldv@fandra.org> 4.0-ipl12mdk
- RE adaptions.

* Tue Jan  2 2001 Bill Nottingham <notting@redhat.com>
- setgid too, not just setuid (#23195)

* Thu Aug 10 2000 Jeff Johnson <jbj@redhat.com>
- add restart shell function (#15914).

* Sun Aug  6 2000 Philipp Knirsch <pknirsch@redhat.com>
- Changed the uid/gid of the rpc user to be 32/32

* Fri Aug  4 2000 Philipp Knirsch <pknirsch@redhat.com>
- Fixed a build warning for daemon.c (missing <stdlib.h> include)
- Portmap now running under user rpc if possible (#12427)

* Wed Aug  2 2000 Bill Nottingham <notting@redhat.com>
- start a little later (after syslog)
- do dump/reload on restart (#14612)

* Thu Jul 20 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jul  8 2000 Bill Nottingham <notting@redhat.com>
- make trigger work on a few later versions

* Tue Jun 27 2000 Than Ngo <than@redhat.de>
- /etc/rc.d/init.d -> /etc/init.d
- condrestart in %postun
- fix initscript
- add requires initscript
- remove links from packaging

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Wed May 10 2000 Jeff Johnson <jbj@redhat.com>
- apply cleanup patch (H.J. Lu)

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Wed Dec  1 1999 Bill Nottingham <notting@redhat.com>
- add patch to fix some malloc issues from HP

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- added man pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 14)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- start/stop portmap at levels 11/89

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- fixed the trigger script

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- added %trigger to fix a previously broken package

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Thu Jan 08 1998 Erik Troan <ewt@redhat.com>
- rebuilt against glibc 2.0.6

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed service name in stop section of init script

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- fixed chkconfig support

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added restart, status commands to init script
- added chkconfig support
- uses a buildroot and %%attr tags

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
